### Function

# Gimp SignalHandlerFunc

#### Declaration

    void
    (* GimpSignalHandlerFunc) (
      gint signum
    )

#### Description [src]

A prototype for a reference to a signal handler functions. Note that each function which takes or returns a variable of this type also accepts or may return special values defined by your system’s signal.h header file (like `SIG_DFL` or `SIG_IGN`).

#### Parameters

`signum` | `gint`
| The number of the signal. Useful if different signals are handled by a single handler.